Subject: bug#10557: GUILE_LOAD_PATH variable value ignored when setting %load-path.

From: Ian Price <[email-masked]>
Date: Fri, 20 Jan 2012 07:48:15 +0000

Ian Hulin <[email-masked]> writes:

> ian@ian-laptop ~/src/lilypond (T1686)$ echo $GUILE_LOAD_PATH
>
> ian@ian-laptop ~/src/lilypond (T1686)$ guile
> GNU Guile 2.0.3
> Copyright (C) 1995-2011 Free Software Foundation, Inc.
>
> Guile comes with ABSOLUTELY NO WARRANTY; for details type `,show w'.
> This program is free software, and you are welcome to redistribute it
> under certain conditions; type `,show c' for details.
>
> Enter `,help' for help.
> scheme@(guile-user)> %load-path
> $1 = ("/usr/local/share/guile/2.0" "/usr/local/share/guile/site/2.0"
> "/usr/local/share/guile/site" "/usr/local/share/guile")
> scheme@(guile-user)> ,q
> ian@ian-laptop ~/src/lilypond (T1686)$ declare -x
> GUILE_LOAD_COMPILED_PATH='/home/ian/src/lilypond/scm/out'
> ian@ian-laptop ~/src/lilypond (T1686)$ guile
> GNU Guile 2.0.3
> Copyright (C) 1995-2011 Free Software Foundation, Inc.
>
> Guile comes with ABSOLUTELY NO WARRANTY; for details type `,show w'.
> This program is free software, and you are welcome to redistribute it
> under certain conditions; type `,show c' for details.
>
> Enter `,help' for help.
> scheme@(guile-user)> %load-path
> $1 = ("/usr/local/share/guile/2.0" "/usr/local/share/guile/site/2.0"
> "/usr/local/share/guile/site" "/usr/local/share/guile")
> scheme@(guile-user)> ^\Quit
> ian@ian-laptop ~/src/lilypond (T1686)$

Err, all you have done here is show that GUILE_LOAD_COMPILED_PATH has no
bearing on %load-path, which is perfectly in accordance with the
documentation as far as I can see.

As for the question of GUILE_LOAD_PATH not prepending to %load-path, I
can't reproduce this on a recent stable-2.0 with fedora 16.

[ian@Kagami ~]$ env GUILE_LOAD_PATH=notadir guile -q
GNU Guile 2.0.3.155-6f0e5
...<snip>...
scheme@(guile-user)> %load-path
$1 = ("notadir" "/usr/local/share/guile/2.0" "/usr/local/share/guile/site/2.0" "/usr/local/share/guile/site" "/usr/local/share/guile")
scheme@(guile-user)> 

I'll report back again after I've built the 2.0.3 release

-- 
Ian Price

"Programming is like pinball. The reward for doing it well is
the opportunity to do it again" - from "The Wizardy Compiled"